Subject: Re: bug#63578: 29.0.91; Org Cannot tangle with tramp using sudo

From: Kostadin Ninev <[email-masked]>
Date: Sat, 20 May 2023 11:53:17 +0000

You want ta call org-babel-tangle or C-c C-v C-t to create the file

C-c C-c attempts to execute the contents of the block.

On Saturday, May 20, 2023 2:50 PM (+03:00), Michael Albinus wrote:

 > Kostadin Ninev  writes:
 > 
 > Hi Kostadin,
 > 
 > >> Perhaps you can send the value of
 > >> tramp-default-proxies-alist at the moment everything goes wrong.
 > >
 > > This is the wrong value of tramp-default-proxies-alist
 > >
 > > ((nil nil
 > >       #("/ssh:srv:" 0 9
 > > 	(tramp-ad-hoc t)))
 > >  ("^srv$" "^root$"
 > >   #("/ssh:srv:" 0 9
 > >     (tramp-ad-hoc t))))
 > 
 > Thanks.
 > 
 > Perhaps you could help me with the recipe (I'm not an Org user). I have
 > created a file ~/tmp/123.org with the content
 > 
 > --8<---------------cut here---------------start------------->8---
 > #+begin_src conf :tangle /ssh:user@host|sudo::/etc/test.conf
 > test
 > #+end_src
 > --8<---------------cut here---------------end--------------->8---
 > 
 > "user" and "host" are existing ones in my local domain. When I call
 > 
 > --8<---------------cut here---------------start------------->8---
 > emacs -Q -l tramp --eval '(setq tramp-verbose 10 debug-on-quit t)' 
~/tmp/123.org
 > --8<---------------cut here---------------end--------------->8---
 > 
 > and I do eval the Org src block with "C-c C-c", I get the message
 > 
 > --8<---------------cut here---------------start------------->8---
 > org-babel-execute-src-block: No org-babel-execute function for conf!
 > --8<---------------cut here---------------end--------------->8---
 > 
 > What do I miss?
 > 
 > Best regards, Michael.
 > 

-- 
Kostadin Ninev.